/**
 * Project Name:tuia-youtui-web<br>
 * File Name:ActivityForActCenterVO.java<br>
 * Package Name:com.duiba.tuia.youtui.web.model<br>
 * Date:2017年3月20日上午10:53:54<br>
 * Copyright (c) 2017, duiba.com.cn All Rights Reserved.<br>
 */

package com.duiba.tuia.youtui.web.model;

import java.io.Serializable;
import java.util.Map;

/**
 * ClassName: ActivityForActCenterVO <br/>
 * date: 2017年3月20日 上午10:53:54 <br/>
 *
 * @author youhaijun
 * @version
 * @since JDK 1.6
 */
public class ActivityForActCenterVO implements Serializable {

    /**
     * @since JDK 1.6
     */
    private static final long serialVersionUID = -344316971099687204L;

    private Long              id;
    private String            title;
    private String            bannerUrl;                              // 活动中心bannerUrl
    private String            recommendUrl;                           // 活动中心推荐位
    private String            listUrl;                                // 活动中心列表url
    private String            url;                                    // 活动跳转链接
    private Map<String, String> embedInfo;                             //埋点信息

    public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }
    
    public String getTitle() {
        return title;
    }
    
    public void setTitle(String title) {
        this.title = title;
    }
    
    public String getBannerUrl() {
        return bannerUrl;
    }
    
    public void setBannerUrl(String bannerUrl) {
        this.bannerUrl = bannerUrl;
    }
    
    public String getRecommendUrl() {
        return recommendUrl;
    }
    
    public void setRecommendUrl(String recommendUrl) {
        this.recommendUrl = recommendUrl;
    }
    
    public String getListUrl() {
        return listUrl;
    }
    
    public void setListUrl(String listUrl) {
        this.listUrl = listUrl;
    }
    
    public String getUrl() {
        return url;
    }
    
    public void setUrl(String url) {
        this.url = url;
    }

    public Map<String, String> getEmbedInfo() {
        return embedInfo;
    }

    public void setEmbedInfo(Map<String, String> embedInfo) {
        this.embedInfo = embedInfo;
    }
}
